/*
 * Copyright (c) 2019 Adyen N.V.
 *
 * This file is open source and available under the MIT license. See the LICENSE file for more info.
 *
 * Created by caiof on 24/4/2019.
 */

package com.adyen.checkout.core.exeption;

import android.support.annotation.NonNull;
import android.support.annotation.Nullable;

/**
 * Exception generated by the Checkout components to indicate an error.
 * Usually related to an implementation error.
 */
public class CheckoutException extends RuntimeException {

    private static final long serialVersionUID = -2465223452079546925L;

    public CheckoutException(@NonNull String errorMessage) {
        this(errorMessage, null);
    }

    public CheckoutException(@NonNull String errorMessage, @Nullable Throwable cause) {
        super(errorMessage, cause);
    }
}
